/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package test.receiver;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.*;

/**
 *
 * @author LILIZHAO
 */
@MessageDriven(mappedName = "jms/isef_cvm", activationConfig = {
    @ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge"),
    @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue")
})
public class NewMessageBean implements MessageListener {
    private final Logger logger = Logger.getLogger(NewMessageBean.class.getName());
    
    public NewMessageBean() {
    }
    
    @Override
    public void onMessage(Message message) {
        try {
            TextMessage msg = (TextMessage) message;
            logger.getLogger(this.getClass().getName()).log(Level.INFO, "Received message: " +  msg.getText());
        } catch (Exception e) {
            logger.log(Level.SEVERE, "Error processing message", e);
        }
    }
}
